Bug 242432 - devel/lazygit No keyboard input recognized
Summary: devel/lazygit No keyboard input recognized
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL: https://github.com/jesseduffield/lazy...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 17:01 UTC by Manuel Stühn
Modified: 2020-02-04 05:42 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (meta)


Attachments
Screenshot after killed lazygit (67.72 KB, image/png)
2019-12-04 17:01 UTC, Manuel Stühn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Stühn 2019-12-04 17:01:54 UTC
Created attachment 209700 [details]
Screenshot after killed lazygit

After starting lazygit, it shows the UI, but after that, no further input is recognized at all. Even ctrl-c is not showing effect. The process is killable, but after killing, the terminal in which lazygit was started does not recognize to any ctrl-c any more. After i've killed the process, all characters i've typed in are printed on the console [see bottom of attached screenshot]. It makes no difference if i start lazygit inside a xterm or on the console.
Comment 1 Koichiro Iwao freebsd_committer 2019-12-04 23:57:55 UTC
Confirmed.
Comment 2 Koichiro Iwao freebsd_committer 2019-12-09 07:24:18 UTC
I meant it reproduces for me. I'm looking for a fix. Help wanted.
Comment 3 Koichiro Iwao freebsd_committer 2019-12-31 10:19:29 UTC
Reported to upstream.
Comment 4 commit-hook freebsd_committer 2020-02-04 02:46:10 UTC
A commit references this bug:

Author: meta
Date: Tue Feb  4 02:45:58 UTC 2020
New revision: 525116
URL: https://svnweb.freebsd.org/changeset/ports/525116

Log:
  devel/lazygit: Update to 0.14

  This release include a fix for the issue no keyboard input recognized [1].

  [1] https://github.com/jesseduffield/lazygit/issues/563

  PR:		242432

Changes:
  head/devel/lazygit/Makefile
  head/devel/lazygit/distinfo
Comment 5 Koichiro Iwao freebsd_committer 2020-02-04 02:47:15 UTC
The issue should be fixed in v0.14.
https://svnweb.freebsd.org/changeset/ports/525116
Comment 6 commit-hook freebsd_committer 2020-02-04 05:42:26 UTC
A commit references this bug:

Author: meta
Date: Tue Feb  4 05:41:34 UTC 2020
New revision: 525121
URL: https://svnweb.freebsd.org/changeset/ports/525121

Log:
  MFH: r525116

  devel/lazygit: Update to 0.14

  This release include a fix for the issue no keyboard input recognized [1].

  [1] https://github.com/jesseduffield/lazygit/issues/563

  PR:		242432

  Approved by:	portmgr (blanket: critical runtime bugfix)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/lazygit/Makefile
  branches/2020Q1/devel/lazygit/distinfo